package com.taais.common.excel.core;

import com.taais.common.excel.entity.ExcelResultRes;

import java.util.List;

/**
 * excel返回对象
 *
 * @author wgk
 */
public interface ExcelResult<T> {

    /**
     * 对象列表
     */
    List<T> getList();

    /**
     * 错误列表
     */
    List<String> getErrorList();

    /**
     * 导入回执
     */
    ExcelResultRes getAnalysis();
}
